Create agent

View as Markdown
Create a new agent in an organization

Authentication

X-API-Keystring

API key supplied via the X-API-Key header. Takes precedence over bearerApiKey when both are present.

OR
AuthorizationBearer

Same organization API key supplied as a Bearer token in the Authorization header (Authorization: Bearer <key>). Compatible with OpenAI-SDK-standard clients. Accepted by all authenticated endpoints; if both X-API-Key and Authorization: Bearer are present, X-API-Key wins.

Request

This endpoint expects an object.
orgSlugstringRequired
stableKeystringRequired>=1 character
providerstringRequired>=1 character
namestringOptional
modelstringOptional
tagslist of stringsOptional
providerConfigmap from strings to anyOptional
promptReferencesmap from strings to stringsOptional
toolRefslist of stringsOptional
kbRefslist of stringsOptional
variablesmap from strings to anyOptional
fleetIdstringOptional

Response

OK
any
OR
any